=== debian/control ===
Source: ostree
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 attr,
 bison,
 cpio,
 debhelper (>= 9),
 dh-autoreconf,
 dh-systemd,
 docbook-xml,
 docbook-xsl,
 e2fslibs-dev,
 elfutils,
 fuse,
 gjs,
 gobject-introspection,
 gtk-doc-tools (>= 1.15),
 libarchive-dev (>= 2.8.0),
 libattr1-dev,
 libcap-dev,
 libfuse-dev,
 libgirepository1.0-dev (>= 1.34.0),
 libglib2.0-dev (>= 2.40.0),
 libgpgme11-dev (>= 1.1.8),
 liblzma-dev (>= 5.0.5),
 libmount-dev (>= 2.23),
 libselinux1-dev,
 libsoup2.4-dev (>= 2.39.1),
 libsystemd-dev,
 procps,
 xsltproc,
 zlib1g-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/ostreedev/ostree/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ostree.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ostree.git

Package: gir1.2-ostree-1.0
Architecture: linux-any
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: content-addressed filesystem for operating system binaries (introspection)
 OSTree is a tool for managing bootable, immutable, versioned filesystem
 trees. See the ostree package's description for more details.
 .
 This package contains GObject-Introspection metadata, which can be used
 to generate dynamic bindings into languages such as Python and JavaScript.

Package: libostree-1-1
Architecture: linux-any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-arch: same
Description: content-addressed filesystem for operating system binaries (library)
 OSTree is a tool and library for managing bootable, immutable, versioned
 filesystem trees. It is like git in that it checksums individual files
 and has a content-addressed object store; unlike git, it "checks out"
 the files using hardlinks into an immutable directory tree. This
 can be used to provide atomic upgrades with rollback, history and
 parallel-installation, particularly useful on "fixed purpose" systems
 such as embedded devices. It is also used by the Flatpak application
 runtime system.
 .
 This package contains the shared library.

Package: libostree-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 gir1.2-ostree-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 ostree (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
Suggests:
 libostree-doc,
Description: Development files for the ostree library
 OSTree is a tool and library for managing bootable, immutable, versioned
 filesystem trees. It is like git in that it checksums individual files
 and has a content-addressed object store; unlike git, it "checks out"
 the files using hardlinks into an immutable directory tree. This
 can be used to provide atomic upgrades with rollback, history and
 parallel-installation, particularly useful on "fixed purpose" systems
 such as embedded devices. It is also used by the Flatpak application
 runtime system.
 .
 This package contains development headers and the pkg-config file for ostree.

Package: libostree-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Description: Development documentation for the ostree library
 OSTree is a tool for managing bootable, immutable, versioned filesystem
 trees. See the ostree package's description for more details.
 .
 This package contains development documentation for ostree.

Package: ostree
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: content-addressed filesystem for operating system binaries
 OSTree is a tool and library for managing bootable, immutable, versioned
 filesystem trees. It is like git in that it checksums individual files
 and has a content-addressed object store; unlike git, it "checks out"
 the files using hardlinks into an immutable directory tree. This
 can be used to provide atomic upgrades with rollback, history and
 parallel-installation, particularly useful on "fixed purpose" systems
 such as embedded devices.
 .
 This package contains the executables used to manage and create
 filesystem trees. It does not affect the boot process for the system
 on which it is installed.

Package: ostree-tests
Architecture: linux-any
Depends:
 attr,
 ca-certificates,
 cpio,
 fuse,
 gir1.2-ostree-1.0,
 gjs,
 ostree,
 python,
 ${misc:Depends},
 ${shlibs:Depends},
Description: content-addressed filesystem for operating system binaries - tests
 OSTree is a tool for managing bootable, immutable, versioned filesystem
 trees. See the ostree package's description for more details.
 .
 This package contains automated tests.
