## ostree 2016.15

=== debian/changelog ===
ostree (2016.15-5~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - Disable use of O_TMPFILE in the jessie backport. O_TMPFILE was
      still a new thing when jessie was released, and fails on
      the arm64, armel, armhf, powerpc and ppc64el buildds.
    - Switch libgpgme-dev build-dependency back to libgpgme11-dev

 -- Simon McVittie <smcv@debian.org>  Fri, 30 Jun 2017 07:49:37 +0100

ostree (2016.15-5) unstable; urgency=medium

  * Tag all patches as having been applied upstream in 2017.1
  * Backport an additional change from 2017.1 to put all libsoup use
    in one thread, which seems to solve pulls getting stuck without
    progress (Closes: #860262, hopefully also Closes: #842606)

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Apr 2017 18:03:13 +0100

ostree (2016.15-4~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - Disable use of O_TMPFILE in the jessie backport. O_TMPFILE was
      still a new thing when jessie was released, and fails on
      the arm64, armel, armhf, powerpc and ppc64el buildds.
    - Switch libgpgme-dev build-dependency back to libgpgme11-dev

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Apr 2017 15:23:01 +0100

ostree (2016.15-4) unstable; urgency=medium

  * Remove an unintended line in the 2016.15-3 changelog
  * d/gbp.conf: Switch branch to debian/stretch
  * libostree-dev: Add missing dependency on libostree-1-1
    (Closes: #860047)

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Apr 2017 18:54:05 +0100

ostree (2016.15-3~bpo8+1) jessie-backports; urgency=medium

  * Remove an unintended line in the 2016.15-3 changelog
  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - Disable use of O_TMPFILE in the jessie backport. O_TMPFILE was
      still a new thing when jessie was released, and fails on
      the arm64, armel, armhf, powerpc and ppc64el buildds.
    - Switch libgpgme-dev build-dependency back to libgpgme11-dev

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Feb 2017 11:05:25 +0000

ostree (2016.15-3) unstable; urgency=medium

  * debian/control: Don't run gjs tests on sparc64. gjs doesn't seem
    to work there at all (#827815)
    - d/ostree-tests.lintian-overrides: silence
      missing-dep-for-interpreter error on sparc64, where we install
      the script but do not attempt to run it
  * debian/tests/gnome-desktop-testing: Skip test-local-pull.sh.test
    which suffers from a known bug (#842606)
    - debian/tests/test-local-pull: Run the unreliable test separately,
      repeated 3 times to assess how often it fails
  * d/p/Sourced-test-snippets-remove-shebang-and-make-non-executa.patch,
    d/p/Make-corrupt-repo-ref.js-executable.patch:
    Fix permissions and #! lines for some tests in the upstream build
    system
  * d/rules: remove workarounds for script permissions.
    The upstream build system now uses the intended permissions throughout.
    - Retain explicit chmod for *.js, which dh_fixperms assumes should
      not be executable.
  * d/p/Fix-TAP-syntax-in-test-basic-user.sh-and-run-it.patch:
    Run an additional test, which was previously installed but not run

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Jan 2017 13:23:32 +0000

ostree (2016.15-2) unstable; urgency=medium

  * Make all test failures non-fatal at build time, so that intermittent
    test failures do not interfere with possible security updates during
    Debian stretch-as-stable.

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Dec 2016 11:28:41 +0000

ostree (2016.15-1) unstable; urgency=medium

  * New upstream release
    - d/patches: drop all patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Dec 2016 13:13:44 +0000

ostree (2016.14-2~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - Disable use of O_TMPFILE in the jessie backport. O_TMPFILE was
      still a new thing when jessie was released, and fails on
      the arm64, armel, armhf, powerpc and ppc64el buildds.
    - Switch libgpgme-dev build-dependency back to libgpgme11-dev
    - Leave debhelper compat level and dependency set to 10 now that
      debhelper 10 is in backports

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Dec 2016 16:15:21 +0000

ostree (2016.14-2) unstable; urgency=medium

  * Make build-time test failures non-fatal, as long as at least
    3 out of 5 attempts succeed.

    There are several upstream bugs that cause intermittent test
    failures, and can intermittently be reproduced in real use.
    However, these are not regressions, so we should not FTBFS just
    because we happen to have been unlucky during build.

  * d/p/Terminate-individual-tests-after-10-minutes.patch:
    replace d/p/debian/Terminate-individual-tests-after-half-an-hour.patch
    with the version that I sent upstream, which uses SIGABRT and
    terminates the tests sooner
  * d/p/*.patch: import more memory leak fixes from upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Dec 2016 12:38:54 +0000

ostree (2016.14-1) unstable; urgency=medium

  * Switch the build-dependency on libgpgme11-dev (which no longer exists
    as a real package) to libgpgme-dev
  * Drop the version from versioned build-dependencies where the required
    version was already present in oldstable
  * New upstream release
    - update symbols file for new ABI
  * Import various post-release fixes from upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Nov 2016 11:05:44 +0000

ostree (2016.13-1) unstable; urgency=medium

  * New upstream release
    - d/p/dist/Retrieve-some-missing-test-files-from-upstream-git.patch:
      remove, 2016.13 was released with a fixed "make dist"
    - d/p/Filter-bootloader-supplied-kernel-cmdline-options.patch:
      remove, merged upstream
  * d/copyright: drop copyright and license stanzas for files that are
    in upstream git but not in tarballs


