=== debian/control ===
--- 
+++ 
@@ -5,29 +5,29 @@
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
+ Sjoerd Simons <sjoerd@debian.org>
 Build-Depends:
  attr,
  bison,
+ ca-certificates,
  cpio,
- debhelper (>= 9),
- dh-autoreconf,
- dh-systemd,
+ debhelper (>= 10~),
  docbook-xml,
  docbook-xsl,
  e2fslibs-dev,
  elfutils,
  fuse,
- gjs,
+ gjs [!sparc64],
  gobject-introspection,
- gtk-doc-tools (>= 1.15),
- libarchive-dev (>= 2.8.0),
+ gtk-doc-tools,
+ libarchive-dev,
  libattr1-dev,
  libcap-dev,
  libfuse-dev,
- libgirepository1.0-dev (>= 1.34.0),
+ libgirepository1.0-dev,
  libglib2.0-dev (>= 2.40.0),
- libgpgme11-dev (>= 1.1.8),
- liblzma-dev (>= 5.0.5),
+ libgpgme11-dev,
+ liblzma-dev,
  libmount-dev (>= 2.23),
  libselinux1-dev,
  libsoup2.4-dev (>= 2.39.1),
@@ -42,6 +42,7 @@
 
 Package: gir1.2-ostree-1.0
 Architecture: linux-any
+Multi-Arch: same
 Section: introspection
 Depends:
  ${gir:Depends},
@@ -81,7 +82,7 @@
 Depends:
  gir1.2-ostree-1.0 (= ${binary:Version}),
  libglib2.0-dev,
- ostree (= ${binary:Version}),
+ libostree-1-1 (= ${binary:Version}),
  pkg-config,
  ${misc:Depends},
 Suggests:
@@ -138,7 +139,7 @@
  cpio,
  fuse,
  gir1.2-ostree-1.0,
- gjs,
+ gjs [!sparc64],
  ostree,
  python,
  ${misc:Depends},
