=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,11 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+# Some tests assert that we will see English strings
+export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --parallel --with=autoreconf,gir,systemd
+	dh $@ --with=gir
 
 override_dh_auto_clean:
 	if [ -e Makefile ]; then dh_auto_clean; fi
@@ -15,6 +17,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-silent-rules \
+		--disable-otmpfile \
 		--enable-gtk-doc \
 		--enable-installed-tests \
 		--libexecdir='$${prefix}/lib' \
@@ -23,7 +26,6 @@
 		--with-grub2-mkconfig-path=/usr/sbin/grub-mkconfig \
 		--with-systemdsystemunitdir=/lib/systemd/system \
 		$(NULL)
-	chmod +x tests/*.js
 
 override_dh_auto_test:
 	debian/test.sh
@@ -60,12 +62,10 @@
 	dh_makeshlibs -Xinstalled-tests/ostree/libreaddir-rand.so
 
 override_dh_fixperms-arch:
+	# dh_fixperms assumes *.js are for browsers and makes them 0644.
 	dh_fixperms -X'*.js'
-	chmod -v 0755 debian/ostree-tests/usr/lib/installed-tests/ostree/*.js
-	chmod -v 0755 debian/ostree-tests/usr/lib/installed-tests/ostree/*.py
-	chmod -v 0755 debian/ostree-tests/usr/lib/installed-tests/ostree/*.sh
-	# this one is a library, not a script
-	chmod -v 0644 debian/ostree-tests/usr/lib/installed-tests/ostree/libtest.sh
+	find debian/tmp -type f -name '*.js' -print0 | \
+		xargs -0r chmod -v go=rX,u+rw,a-s
 
 override_dh_systemd_start:
 	dh_systemd_start --no-start
