=== debian/tests/control ===
Tests: gnome-desktop-testing, test-local-pull
Depends: gnome-desktop-testing, ostree-tests

Tests: build
Depends: build-essential, libostree-dev, pkg-config
