=== debian/watch ===
version=4
https://github.com/ostreedev/ostree/releases .*/ostree-(\d\S*)\.tar\.xz
