## ostree 2017.12

=== debian/changelog ===
ostree (2017.12-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't Depend or Build-Depend on gjs on s390x since gjs is not built
      for that architecture.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 04 Oct 2017 13:39:04 -0400

ostree (2017.12-1) unstable; urgency=medium

  * New upstream release
    - Drop all current patches, applied upstream
    - Update symbols file
  * Add some post-release bug fix patches
  * Simplify autopkgtest now that test-local-pull seems to be stable
  * Unexport HTTP proxy variables in autopkgtest to work around lack of
    support for no_proxy, which breaks the tests on Ubuntu autopkgtest.
    We don't actually need Internet access, so this is OK.
  * debian/test.sh: Unexport HTTP proxy variables for build-time tests
    too
  * Make build-time test failures fatal if they fail at least twice
    out of 5 tries (previously they had to fail at least 3 times)
  * Add patch to reinstate test-libglnx-shutil.c, which was missed out
    of the upstream tarball

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Oct 2017 22:47:48 +0100

ostree (2017.11-2ubuntu1) artful; urgency=medium

  * Sync with Debian.
  * Don't Depend or Build-Depend on gjs on s390x since gjs is not built
    for that architecture.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Sep 2017 09:14:36 -0400

ostree (2017.11-2) unstable; urgency=medium

  * Replace patch with the version applied upstream in 2017.12
  * Standards-Version: 4.1.0 (no changes)
  * Add a patch to fix FTBFS in non-English locales
  * Add a patch to fix FTBFS if building as root with umask != 022,
    which for some reason debomatic does (Closes: #876138)
  * Add a patch from upstream to fix undefined behaviour with
    O_RDONLY|O_CREAT in rofiles-fuse

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Sep 2017 15:48:24 +0100

ostree (2017.11-1) unstable; urgency=medium

  * New upstream release
    - Drop all current patches, applied upstream
    - Update symbols file
  * Adjust Description and Upstream-Name to emphasize libostree
  * Classify new ostree-tmpfiles.conf as part of ostree-boot, and so
    don't install it yet
  * Stop copying an old ostree-trivial-httpd.xml from debian/dist/
    into source tree. Upstream distributes it again, and has since
    2017.8.
  * Add a patch to fix JavaScript tests with gjs 1.50.0, which is
    more strict about 'let'
  * Stop providing "ostree trivial-httpd" CLI, following upstream
    default behaviour. flatpak used to use it in its tests, but
    the version in stable no longer does.

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Sep 2017 16:58:15 +0100

ostree (2017.10-1) unstable; urgency=medium

  * New upstream release
    - Update symbols file
    - Install new bash completions
  * Use dh_missing --fail-missing instead of dh_install --fail-missing
  * Only run tests when building architecture-dependent packages.
    The tests aren't so interesting that we want to run them again
    when splitting -arch/-indep builds.
  * Add patches to make the tests pass again when /var/tmp is on tmpfs,
    which does not support user xattrs
  * Add patch to remove useless #! from bash completions
  * Make build-time test failures fatal again, but only if they are
    reproducible (at least 3 times out of 5) for now

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Aug 2017 18:18:49 +0100

ostree (2017.9-1) unstable; urgency=medium

  * New upstream release
    - Drop backported patch
    - Update symbols file
  * debian/rules: Adjust a comment to avoid Lintian thinking this is a
    dh_make template

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Jul 2017 14:43:30 +0100

ostree (2017.8-1) unstable; urgency=medium

  * New upstream release
    - Update symbols file
    - Remove patches that are no longer needed
    - Add patch from upstream PR #1016 to fix a regression
  * Add a Breaks on flatpak (<< 0.8.7-2~), which rely on libostree to
    download the summary and its signature when mirroring.
    libostree >= 2017.7 no longer does this. On affected flatpak versions,
    this breaks installation of new apps and runtimes system-wide.
  * Add Build-Depends-Indep: libglib2.0-doc so gtk-doc can set up
    cross-references

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Jul 2017 22:18:20 +0100

ostree (2017.7-1) unstable; urgency=medium

  * New upstream release
    - Update symbols file
    - Add post-release patches so test-symbols.sh passes again
    - debian/dist/: Add ostree-trivial-httpd.xml, which was incorrectly
      excluded from the upstream release
  * Standards-Version: 4.0.0
    - Use https URL for copyright-format
  * Implement <nodoc> build profile
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Jun 2017 13:06:54 +0100

ostree (2017.6-1) experimental; urgency=medium

  * New upstream release
    - Update debian/copyright
    - Update disabled ostree-boot packaging for new systemd generator
    - Add new ABI to symbols file
  * Skip build-time tests when nocheck is in DEB_BUILD_OPTIONS
    (Closes: #862803). Thanks to Krzesimir Nowak

 -- Simon McVittie <smcv@debian.org>  Thu, 25 May 2017 10:01:12 +0100

ostree (2017.5-1) experimental; urgency=high

  * New upstream release
    - This release fixes a regression in 2017.4 that caused symlinks
      in Flatpak apps and runtimes to be checked out as regular files.
      Any apps or runtimes that were installed or updated with 2017.4
      will need to be removed and reinstalled.

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Apr 2017 14:18:16 +0100

ostree (2017.4-1) experimental; urgency=medium

  * New upstream release
    - d/rules: Explicitly enable trivial-httpd: the tests still need it
    - Update symbols file for new ABI

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Apr 2017 17:19:58 +0100

ostree (2017.3-2) experimental; urgency=medium

  * d/ostree.maintscript: Clean up obsolete conffiles from before we
    started removing what will eventually become ostree-boot

