=== debian/control ===
Source: ostree
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
 Sjoerd Simons <sjoerd@debian.org>
Build-Depends:
 attr,
 autoconf,
 automake,
 bison,
 ca-certificates,
 cpio,
 debhelper (>= 10~),
 dh-exec,
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 e2fslibs-dev,
 elfutils,
 fuse,
 gjs [!s390x !sparc64],
 gobject-introspection,
 gtk-doc-tools <!nodoc>,
 libarchive-dev,
 libattr1-dev,
 libcap-dev,
 libfuse-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.40.0),
 libgpgme-dev,
 liblzma-dev,
 libmount-dev (>= 2.23),
 libselinux1-dev,
 libsoup2.4-dev (>= 2.39.1),
 libsystemd-dev,
 libtool,
 procps,
 python <!nocheck>,
 python-yaml <!nocheck>,
 xsltproc <!nodoc>,
 zlib1g-dev,
Build-Depends-Indep:
 libglib2.0-doc,
Standards-Version: 4.1.0
Homepage: https://github.com/ostreedev/ostree/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ostree.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ostree.git

Package: gir1.2-ostree-1.0
Architecture: linux-any
Multi-Arch: same
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: content-addressed filesystem for operating system binaries (introspection)
 libostree provides a library and tools for managing bootable, immutable,
 versioned filesystem trees. See the ostree package's description for
 more details.
 .
 This package contains GObject-Introspection metadata, which can be used
 to generate dynamic bindings into languages such as Python and JavaScript.

Package: libostree-1-1
Architecture: linux-any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 flatpak (<< 0.8.7-2~),
Multi-arch: same
Description: content-addressed filesystem for operating system binaries (library)
 libostree is a library for managing bootable, immutable, versioned
 filesystem trees. It is like git in that it checksums individual files
 and has a content-addressed object store; unlike git, it "checks out"
 the files using hardlinks into an immutable directory tree. This
 can be used to provide atomic upgrades with rollback, history and
 parallel-installation, particularly useful on "fixed purpose" systems
 such as embedded devices. It is also used by the Flatpak application
 runtime system.
 .
 This package contains the shared library.

Package: libostree-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 gir1.2-ostree-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 libostree-1-1 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
Suggests:
 libostree-doc,
Description: Development files for the libostree library
 libostree is a library for managing bootable, immutable, versioned
 filesystem trees. It is like git in that it checksums individual files
 and has a content-addressed object store; unlike git, it "checks out"
 the files using hardlinks into an immutable directory tree. This
 can be used to provide atomic upgrades with rollback, history and
 parallel-installation, particularly useful on "fixed purpose" systems
 such as embedded devices. It is also used by the Flatpak application
 runtime system.
 .
 This package contains development headers and the pkg-config file for
 libostree.

Package: libostree-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Description: Development documentation for the libostree library
 libostree provides a library and tools for managing bootable, immutable,
 versioned filesystem trees. See the ostree package's description for
 more details.
 .
 This package contains development documentation for libostree.

Package: ostree
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: content-addressed filesystem for operating system binaries
 libostree provides a library and tools for managing bootable, immutable,
 versioned filesystem trees. It is like git in that it checksums
 individual files and has a content-addressed object store; unlike git,
 it "checks out" the files using hardlinks into an immutable directory
 tree. This can be used to provide atomic upgrades with rollback, history
 and parallel-installation, particularly useful on "fixed purpose"
 systems such as embedded devices.
 .
 This package contains the executables used to manage and create
 filesystem trees. It does not affect the boot process for the system
 on which it is installed.

Package: ostree-tests
Architecture: linux-any
Depends:
 attr,
 ca-certificates,
 cpio,
 fuse,
 gir1.2-ostree-1.0,
 gjs [!s390x !sparc64],
 ostree,
 python,
 python-yaml,
 ${misc:Depends},
 ${shlibs:Depends},
Description: content-addressed filesystem for operating system binaries - tests
 libostree provides a library and tools for managing bootable, immutable,
 versioned filesystem trees. See the ostree package's description for
 more details.
 .
 This package contains automated tests.
