=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ostree
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -15,13 +14,13 @@
  ca-certificates,
  cpio,
  debhelper (>= 10~),
- dh-exec,
+ dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  e2fslibs-dev,
  elfutils,
  fuse,
- gjs [!s390x !sparc64],
+ gnupg <!nocheck>,
  gobject-introspection,
  gtk-doc-tools <!nodoc>,
  libarchive-dev,
@@ -38,16 +37,17 @@
  libsystemd-dev,
  libtool,
  procps,
- python <!nocheck>,
- python-yaml <!nocheck>,
+ python3 <!nocheck>,
+ python3-yaml <!nocheck>,
  xsltproc <!nodoc>,
  zlib1g-dev,
 Build-Depends-Indep:
  libglib2.0-doc,
-Standards-Version: 4.1.0
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: https://github.com/ostreedev/ostree/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ostree.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ostree.git
+Vcs-Git: https://salsa.debian.org/debian/ostree.git
+Vcs-Browser: https://salsa.debian.org/debian/ostree
 
 Package: gir1.2-ostree-1.0
 Architecture: linux-any
@@ -154,10 +154,11 @@
  cpio,
  fuse,
  gir1.2-ostree-1.0,
- gjs [!s390x !sparc64],
+ gjs [!sparc64],
+ gnupg,
  ostree,
- python,
- python-yaml,
+ python3,
+ python3-yaml,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: content-addressed filesystem for operating system binaries - tests
