=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-# Some tests assert that we will see English strings
-export LC_ALL=C.UTF-8
+
+binaries := $(shell dh_listpackages)
 
 %:
 	dh $@ --with=gir
@@ -12,20 +12,26 @@
 	env NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
 configure_options = \
+	GJS=some-nonexistent-gjs-binary \
 	--enable-installed-tests \
 	--libexecdir='$${prefix}/lib' \
 	--with-dracut \
 	--with-grub2 \
 	--with-grub2-mkconfig-path=/usr/sbin/grub-mkconfig \
+	--with-libsystemd \
 	--with-systemdsystemgeneratordir=/lib/systemd/system-generators \
 	--with-systemdsystemunitdir=/lib/systemd/system \
 	$(NULL)
 
+ifneq ($(filter libostree-doc,$(binaries)),)
+configure_options += --enable-gtk-doc
+else
+configure_options += --disable-gtk-doc
+endif
+
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-configure_options += --enable-gtk-doc
 configure_options += --enable-man
 else
-configure_options += --disable-gtk-doc
 configure_options += --disable-man
 endif
 
@@ -34,6 +40,7 @@
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	chmod +x tests/test-pull-bareuseronly.sh
 	debian/test.sh
 endif
